# Update Outbound Rules (SNAT Rules) - UpdateSnatRule

## Overview

Update the specified outbound rule (SNAT rule)






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `UpdateSnatRule`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.nubexcloud.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **NATGWId** | string | The ID of the NAT gateway, |**Yes**|
| **SourceIp** | string | Private IP address needed for external network access, for example, 10.9.7.xx |**Yes**|
| **SnatIp** | string | The IP address of EIP, for example, 106.75.xx.xx |**Yes**|
| **Name** | string | SNAT name, i.e., outbound rule name |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.nubexcloud.com/?Action=UpdateSnatRule
&NATGWId=cn-zj
&SourceIp=uqJoKVye
&SnatIp=PXIeGmqh
&Name=tTbmFlHq
```

### Response Example
    
```json
{
  "Action": "UpdateSnatRuleResponse",
  "RetCode": 0
}
```





